# -*- perl -*-
#
# Copyright (C) 2005-2009 Nexenta
#
package Net::WMI;

use 5.006;
use strict;
use warnings;

BEGIN {
    our $VERSION = '0.0.1';
    require XSLoader;
    XSLoader::load('Net::WMI', $VERSION);
}

#use Net::DBus::Binding::Bus;
#use Net::DBus::Service;
#use Net::DBus::RemoteService;
#use Net::DBus::Test::MockConnection;
#use Net::DBus::Binding::Value;

#use vars qw($bus_system $bus_session);

use Exporter qw(import);

use vars qw(@EXPORT_OK %EXPORT_TAGS);

@EXPORT_OK = qw(wmi_int16 wmi_uint16 wmi_int32 wmi_uint32 wmi_int64 wmi_uint64);

%EXPORT_TAGS = (typing => [qw(wmi_int16 wmi_uint16 wmi_int32 wmi_uint32 wmi_int64 wmi_uint64
			)]);

sub _new {
    my $class = shift;
    my $self = {};

    my %params = @_;

    bless $self, $class;
    return $self;
}


1;
